/ api / name / gb.subststring
GB.SubstString
Syntax

    char *GB.SubstString ( const char *pattern , long len , GB_SUBST_CALLBACK callback )

Substitutes elements in a pattern and returns the resulting string.

- pattern points at the pattern.
- len is the pattern length.
- callback is a function that will be called to do each substitution.

The substituted elements are the `&` character followed by an index between 1 and 9. This index is passed to the callback.

See GB_SUBST_CALLBACK for more information.

### See also

String Management